Karar Sunucusu REST API-yardımcı programlar/sürüm Kaynağı-GET Yöntemi

Kural Yürütme Sunucusu sürüm bilgilerini döndürür.

Örnek Yöntem Çağırma

GET /api/v1/utilities/version

Parametreler

Yok.

İstek İçeriği

Yok.

Yanıt İçeriği

Varsayılan içerik tipi:application/xml.

MIME Türü: application/xml

+ Şeması Görüntüle
< ?xml version="1.0 "encoding ="UTF-8"?> < xs: schema xmlns:xs ="http://www.w3.org/2001/XMLSchema"targetNamespace =" " version="1.0 ">

  < xs: element name = "version "type="version" />

  < xs: complexType name="version">
    < xs: sequence>
      < xs: element minOccurs = "0 "name="type" type="xs: string " />
      < xs: element minOccurs = "0 "name="version" type="xs: string " />
      < xs: element minOccurs = "0 "name=" patchLevel "type="xs: string" />
      < xs: element minOccurs = "0 "name="buildNumber" type="xs: string " />
      < xs: element minOccurs = "0 "name="iFixes" type="xs: string " />
      < xs: element minOccurs = "0 "name="engine" type="xs: string " />
    < /xs:sequence>
  < /xs:complexType>
< /xs:şema>
+ Görünümü Örneği
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
< sürüm>
    < tipi>{The version type}< /type>
    < sürüm>{The version of the res console;}< /sürüm>
    < patchLevel>{The patch level version of the res console";}< /patchLevel>
    < buildNumber >{The build number of the res console;}< /buildNumber>
    < iFixes>{The iFixes version of the res-console";}< /iFixes>
    < engine>{The engine version;}< /engine>
< /sürüm>

MIME Türü: application/json

(Buraya gitmek için şema)
+ Görünümü Örneği
{
  "tip": "{The version type}",
  "sürüm": "{The version of the res console;}",
  "patchLevel": "{The patch level version of the res console";}",
  "buildNumber": "{The build number of the res console;}",
  "iFixes": "{The iFixes version of the res-console";}",
  "motor": "{The engine version;}"
}

Durum Kodları

Yöntem, aşağıdaki durum kodlarından birini döndürür:
Kod Açıklama
200 İşlem başarıyla tamamlandı.
204 İşlem başarıyla tamamlandı, kullanılabilir içerik yok.
400 Parametreler geçerli değil ya da eksik.
401 Arayan, bu istek için yetkili değil.
403 Çağıranın bu isteği tamamlamamasına izin verilmiyor.
404 Kaynak yok.
406 İstenen içerik tipi ya da içerik kodlaması desteklenmiyor.
500 Önemli bir sorun ortaya çıktı, programcının ayrıntıları sağlandı.

Bu Tarihten Beri

8.10.0

Üst Konu: yardımcı programlar/sürüm kaynağı